SET TERM ^;
CREATE OR ALTER TRIGGER CONFIG_APP_TABELAS_CAMPOS_AIU FOR CONFIG_APP_TABELAS_CAMPOS
ACTIVE AFTER INSERT OR UPDATE POSITION 0
AS
DECLARE VARIABLE CODIGO_CONFIG_APP INTEGER;
DECLARE VARIABLE CODIGO_EMPRESA INTEGER;
BEGIN
  IF (NEW.IDENTIFICADOR = 'CPO_RFID' OR NEW.IDENTIFICADOR = 'CPO_STATUS' OR NEW.IDENTIFICADOR = 'CPO_APAGADO') THEN
  BEGIN
    SELECT CODIGO_CONFIG_APP
      FROM CONFIG_APP_TABELAS
      WHERE CODIGO = NEW.CODIGO_CONFIG_APP_TABELA
      INTO :CODIGO_CONFIG_APP;

    IF (CODIGO_CONFIG_APP IS NOT NULL) THEN
    BEGIN
      SELECT CODIGO_EMPRESA
        FROM CONFIG_APP
        WHERE CODIGO = :CODIGO_CONFIG_APP
        INTO :CODIGO_EMPRESA;

      IF (CODIGO_EMPRESA IS NOT NULL) THEN
      BEGIN
        IF (NEW.IDENTIFICADOR = 'CPO_RFID') THEN
          UPDATE EMPRESAS
            SET CODIGO_TABVERTICAL_MOT_RFID = NEW.CODIGO_CAMPO_TABELA_VERTICAL
            WHERE CODIGO = :CODIGO_EMPRESA;

        IF (NEW.IDENTIFICADOR = 'CPO_STATUS') THEN
          UPDATE EMPRESAS
            SET CODIGO_TABVERTICAL_MOT_STATUS = NEW.CODIGO_CAMPO_TABELA_VERTICAL
            WHERE CODIGO = :CODIGO_EMPRESA;

        IF (NEW.IDENTIFICADOR = 'CPO_APAGADO') THEN
          UPDATE EMPRESAS
            SET CODIGO_TABVERTICAL_MOT_APAGADO = NEW.CODIGO_CAMPO_TABELA_VERTICAL
            WHERE CODIGO = :CODIGO_EMPRESA;
      END
    END
  END
END^

SET TERM ;^

COMMENT ON TRIGGER CONFIG_APP_TABELAS_CAMPOS_AIU IS '19.07.21: Blak - Ao alterar configuração da web, alterar configuração de envio de motoristas RFID';
